#ifndef _Handle_PXCAFDoc_SeqNodeOfGraphNodeSequence_HeaderFile
#define _Handle_PXCAFDoc_SeqNodeOfGraphNodeSequence_HeaderFile

#ifndef _Standard_Macro_HeaderFile
#include <Standard_Macro.hxx>
#endif

#ifndef _Handle_PMMgt_PManaged_HeaderFile
#include <Handle_PMMgt_PManaged.hxx>
#endif
#ifndef _Standard_HeaderFile
#include <Standard.hxx>
#endif

class Standard_Persistent;
class Handle_Standard_Type;
class Handle(PMMgt_PManaged);
class PXCAFDoc_SeqNodeOfGraphNodeSequence;
Standard_EXPORT Handle_Standard_Type& STANDARD_TYPE(PXCAFDoc_SeqNodeOfGraphNodeSequence);

class Handle(PXCAFDoc_SeqNodeOfGraphNodeSequence) : public Handle(PMMgt_PManaged) {
  public:

    Handle(PXCAFDoc_SeqNodeOfGraphNodeSequence)():Handle(PMMgt_PManaged)() {} 
    Handle(PXCAFDoc_SeqNodeOfGraphNodeSequence)(const Handle(PXCAFDoc_SeqNodeOfGraphNodeSequence)& aHandle) : Handle(PMMgt_PManaged)(aHandle) 
     {
     }

    Handle(PXCAFDoc_SeqNodeOfGraphNodeSequence)(const PXCAFDoc_SeqNodeOfGraphNodeSequence* anItem) : Handle(PMMgt_PManaged)((PMMgt_PManaged *)anItem) 
     {
     }

    Handle(PXCAFDoc_SeqNodeOfGraphNodeSequence)& operator=(const Handle(PXCAFDoc_SeqNodeOfGraphNodeSequence)& aHandle)
     {
      Assign(aHandle.Access());
      return *this;
     }

    Handle(PXCAFDoc_SeqNodeOfGraphNodeSequence)& operator=(const PXCAFDoc_SeqNodeOfGraphNodeSequence* anItem)
     {
      Assign((Standard_Persistent *)anItem);
      return *this;
     }

    PXCAFDoc_SeqNodeOfGraphNodeSequence* operator->() const 
     {
      return (PXCAFDoc_SeqNodeOfGraphNodeSequence *)ControlAccess();
     }

   Standard_EXPORT static const Handle(PXCAFDoc_SeqNodeOfGraphNodeSequence) DownCast(const Handle(Standard_Persistent)& AnObject);
};
#endif
